# $Revision: 1.22 $, $Date: 2008/11/05 23:29:44 $
Summary:	xkbfile library
Summary(pl.UTF-8):	Biblioteka xkbfile
Name:		xorg-lib-libxkbfile
Version:	1.0.5
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libxkbfile-%{version}.tar.bz2
# Source0-md5:	0726a845fe5a56551de2718c9f6b0e35
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-util-util-macros
Obsoletes:	xkbfile
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xkbfile library.

%description -l pl.UTF-8
Biblioteka xkbfile.

%package devel
Summary:	Header files for libxkbfile library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxkbfile
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Obsoletes:	xkbfile-devel

%description devel
xkbfile library.

This package contains the header files needed to develop programs that
use libxkbfile.

%description devel -l pl.UTF-8
Biblioteka xkbfile.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libxkbfile.

%package static
Summary:	Static libxkbfile library
Summary(pl.UTF-8):	Biblioteka statyczna libxkbfile
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
xkbfile library.

This package contains the static libxkbfile library.

%description static -l pl.UTF-8
Biblioteka xkbfile.

Pakiet zawiera statyczną bibliotekę libxkbfile.

%prep
%setup -q -n libxkbfile-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libxkbfile.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxkbfile.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxkbfile.so
%{_libdir}/libxkbfile.la
%{_includedir}/X11/extensions/XKB*.h
%{_includedir}/X11/extensions/XKM*.h
%{_pkgconfigdir}/xkbfile.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxkbfile.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libxkbfile.spec,v $
Revision 1.22  2008/11/05 23:29:44  arekm
- release 2

Revision 1.21  2008/03/20 15:59:09  qboosh
- ghost soname symlink
- BR: kbproto (directly, regardless of libX11 deps)

Revision 1.20  2008-03-18 07:06:33  arekm
- up to 1.0.5

Revision 1.19  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.17  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.16  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.15  2006/10/14 16:50:34  qboosh
- updated to 1.0.4

Revision 1.14  2006/05/14 17:05:47  qboosh
- Obsoletes for xkbfile*

Revision 1.13  2006/04/27 06:59:40  arekm
- up to 1.0.3

Revision 1.12  2006/03/03 07:29:51  freetz
- 1.0.2, switched to 'individual' source dir

Revision 1.11  2005/12/28 15:26:46  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.10  2005/12/20 15:32:08  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.9  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.8  2005/12/04 12:39:28  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 18:56:53  qboosh
- BR: autoconf 2.57

Revision 1.5  2005/10/20 11:00:33  jpc
- up to 0.99.1 (X11R7.1-RC1)

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 12:25:12  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix}
- added %%doc
- removed redundant BR: kbproto-devel
- removed redundant R: kbproto-devel from devel package
- release 0.02

* Fri Aug  5 2005 22:04:54  Tomasz Trojanowski  <trojan@pld-freebsd.pld>
- initial release
